#!/bin/bash

# show the system running config
pica_startup_config_file_time=0;
pica_conf_file_time=0;

if [ -f /pica/config/pica_startup.boot ];then
pica_startup_config_file_time=`stat -c %Y /pica/config/pica_startup.boot`
fi

if [ -f /pica/config/pica.conf ];then
pica_conf_file_time=`stat -c %Y /pica/config/pica.conf`
fi

if [ $pica_startup_config_file_time -gt $pica_conf_file_time ];then
cat /pica/config/pica_startup.boot
else
if [ -f /pica/config/pica.conf ];then
cat /pica/config/pica.conf
else
cat /pica/bin/pica_default.boot
fi
fi

